require "defines"

game.onevent(defines.events.onbuiltentity, function(event)
  if event.createdentity.name == "landfill" then
    landfill(event.createdentity.position)
    game.createentity
    {
      name = "landfill-fade",
      position = event.createdentity.position,
      force = game.forces.player
    }
    event.createdentity.destroy()
  end
end)

function landfill(position)
  local replaced = false
  local xpos = position.x - 1
  local ypos = position.y - 1
  local tiles = {}
  -- Loop over 2x2 area and replace any water tiles with grass
  for i = 0,1,1 do --y
    for j = 0,1,1 do --x
      -- Only replace water tiles
      if game.gettile(xpos + j, ypos + i).collideswith("water-tile") then
        table.insert(tiles,{name="grass", position={xpos + j, ypos + i}})
        -- Landfill is consumed
        replaced = true
      end
    end
  end
  if replaced then
    game.settiles(tiles)
    -- Loop over player's hitbox corners to see if player is now stuck in water
    -- hitbox is -0.2 to 0.2
    local ptiles = {}
    local px = game.player.position.x
    local py = game.player.position.y
    for i = -0.2, 0.2, 0.4 do
      for j = -0.2, 0.2, 0.4 do
        if game.gettile(px + j, py + i).collideswith("player-layer") then
          table.insert(ptiles, {name="grass", position={px + j, py + i}})
          --game.player.print("Stuck, fixing")
        end
      end
    end
    game.settiles(ptiles)
  else
    -- Give player a new landfill if no tiles were replaced
    game.player.character.insert{name="landfill", count=1}
  end
end