data:extend(
{
  -- ********************************
  -- Landfill
  -- ********************************
  {
    type = "wall",
    name = "landfill",
    icon = "__Landfill__/graphics/icons/landfill.png",
    flags = {"placeable-neutral", "player-creation"},
    collision_box = {{-1.99, -1.99}, {1.99, 1.99}},
    collision_mask = {"object-layer"},
    selection_box = {{-1, -1}, {1, 1}},
    minable = {mining_time = 1, result = "landfill", count = 0},
    max_health = 1000,
    corpse = "big-remnants",
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    resistances =
    {
      {
        type = "physical",
        decrease = 3,
        percent = 20
      },
      {
        type = "explosion",
        decrease = 10,
        percent = 30
      },
      {
        type = "fire",
        percent = 100
      },
      {
        type = "laser",
        percent = 70
      }
    },
    pictures =
    {
      single =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      straight_vertical =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      straight_vertical_under_ending =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      straight_horizontal =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      corner_right_up =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      corner_right_down =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      corner_left_down =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      corner_left_up =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      t_up =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      t_down =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      t_right =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      t_left =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      cross =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      ending_up =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      ending_down =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      ending_right =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      },
      ending_left =
      {
        {
          filename = "__Landfill__/graphics/entity/landfill.png",
          priority = "extra-high",
          width = 120,
          height = 120,
          shift = {0, 0}
        }
      }
    }
  },
  -- ********************************
  -- Landfill Fade
  -- Placeholder after landfill use to prevent accidental spam
  -- ********************************
  {
    type = "corpse",
    name = "landfill-fade",
    icon = "__Landfill__/graphics/icons/landfill.png",
    flags = {"placeable-neutral", "not-on-map"},
    subgroup="remnants",
    order="d[remnants]-c[wall]",
    selection_box = {{-1, -1}, {1, 1}},
    collision_box = {{-0.99, -0.99}, {0.99, 0.99}},
    collision_mask = {"object-layer"},
    selectable_in_game = false,
    time_before_removed = 30, -- disappear after 0.5 seconds
    final_render_layer = "remnants",
    animation = 
    {
      {
        filename = "__Landfill__/graphics/null.png",
        frame_width = 1,
        frame_height = 1,
        frame_count = 1,
        direction_count = 1,
      }
    }
  }
}
)